package com.sample.common.util;

import java.util.Date;

import org.apache.log4j.Logger;

import com.sample.logging.POSLogManager;

public class TestThread extends Thread
{
	private boolean ibInterrupted = false; // XXX

	public void run()
	{
		Logger oLog = POSLogManager.getLogger(getClass());
		oLog.info("starting test thread");

		try
		{
			Thread.sleep(5000);
			Date oDttm;
			while(!ibInterrupted)
			{
				oDttm = new Date();

				JMSHelper.sendMessage("[" + oDttm.toString() + "]", "10.1.1.128", "jms/queue/AppsInboundQueue");

				Thread.sleep(90000);
			}
		}
		catch (Exception e)
		{
			oLog.error(e, e);
		}

		oLog.info("stopping test thread");
	}

	public void interrupt()
	{
		super.interrupt();
		ibInterrupted = true;
	}

}
