package com.sample.servlet;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

public class Log4jInitServlet extends HttpServlet
{
	private static final long serialVersionUID = 1L;

	private static boolean XB_INIT_COMPLETE = false;

	public static boolean isInitComplete()
    {
    	return XB_INIT_COMPLETE; // ioWatcherThread.isInitialized();
    }

	public void init(ServletConfig _oConfig) throws ServletException
	{
		String sConfigFile = _oConfig.getServletContext().getRealPath(_oConfig.getInitParameter("log4jConfigFile"));
		java.io.File oLog4JFile = new java.io.File(sConfigFile);
		if (!oLog4JFile.exists() || !oLog4JFile.canRead())
		{
			System.err.println("Unable to get configuration file: " + sConfigFile);
		}
		else
		{
			org.apache.log4j.xml.DOMConfigurator.configureAndWatch(sConfigFile, 15000);
		}
		XB_INIT_COMPLETE = true;
	}

}
