package com.sample.servlet;

import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import com.sample.common.util.TestThread;

/**
 * Servlet implementation class StartupServlet
 */
public class StartupServlet extends HttpServlet
{
	private static final long serialVersionUID = 1L;
	private TestThread oTestThread = null;
	/**
	 * @see Servlet#init(ServletConfig)
	 */
	public void init(ServletConfig config) throws ServletException
	{
		oTestThread = new TestThread();
		oTestThread.start();
	}

	public void destroy()
	{
		if (oTestThread != null && oTestThread.isAlive())
		{
			oTestThread.interrupt();
		}
	}
}
